0

Below is the my config.xml file

<resources>
                <categoryrestrict_setup>
                    <setup>
                        <module>Exinent_Categoryrestrict</module>
                        <class>Mage_Catalog_Model_Resource_Setup</class>
                    </setup>
                    <connection>
                        <use>core_setup</use>
                    </connection>
                </categoryrestrict_setup>
                <categoryrestrict_write>
                    <connection>
                        <use>core_write</use>
                    </connection>
                </categoryrestrict_write>
                <categoryrestrict_read>
                    <connection>
                        <use>core_read</use>
                    </connection>
                </categoryrestrict_read>
            </resources>

and my upgrade file name is upgrade-1.0.0-1.0.1.php but it is not working

4
  • show the full config.xml file code Commented Apr 23, 2015 at 7:02
  • <modules> <Exinent_Categoryrestrict> <version>1.0.1</version> </Exinent_Categoryrestrict> </modules>
    – Pawankumar
    Commented Apr 23, 2015 at 7:49
  • i think your mysql install file name from the sql/categoryrestrict_setup is mysql4-install-1.0.0.php . m i right Commented Apr 23, 2015 at 7:52
  • please check core_resource table under categoryrestrict_setup what is the version number their ? Commented Apr 23, 2015 at 7:53

2 Answers 2

2

or just check your config.xml line should be something like this

<modules>
    <YourPackageName_YourModuleName>
        <version>1.0.1</version>
    </YourPackageName_YourModuleName>
</modules>
1

Please be sure that you have increased the version in your config.xml, you need something like this:

<modules>
    <YOURNAMESPACE_YOUREXTENSIONNAME>
        <version>1.0.1</version>
    </YOURNAMESPACE_YOUREXTENSIONNAME>
</modules>
<global>
    <resources>

After debugging the script be sure that your setup version is one before in the database. To run it again, you can find and change the version in the table core_resource.

1
  • Just add one more point that you need to give full permission to your /var/www/your-project/app/code/local/YOURPACKAGE/sql folder also.
    – apandey846
    Commented Jan 18, 2016 at 11:14

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.